{% if is_openbsd %}
#!/bin/ksh
{% else %}
#!/bin/bash
{% endif %}

{% if is_openbsd %}
_HOSTNAME=$(hostname | head -1)
{% else %}
_HOSTNAME=$(hostname -A | head -1)
{% endif %}

# Bin paths
ECHO=/bin/echo
LOGGER=/usr/bin/logger
MAIL=/usr/bin/mail
PUSHOVER=/usr/local/bin/pushover.sh

# Output variables
EMAIL_ADDRESS={{ notification.gmail.email }}
PUSHOVER_USER_KEY={{ notification.pushover.user_key }}
PUSHOVER_APP_TOKEN={{ notification.pushover.roles[current_group_role].nut_token }}

# Possible values
#   * log
#   * pushover
#   * gmail
OUTPUT_METHOD="log"


# $1: Subject
# $2: Content
_output() {
    case $OUTPUT_METHOD in
        gmail)
            $ECHO "$1" |
            $MAIL -s "$2" -a "$TMP_OUTPUT" "$EMAIL_ADDRESS"
            ;;

        pushover)
            $PUSHOVER -U $PUSHOVER_USER_KEY -T $PUSHOVER_APP_TOKEN -t "$1" "$2"
            ;;

        log)
            $LOGGER -t "$0" "$1: $2"
            ;;
    esac
}


case $1 in
    _fsd)
        _output "UPS monitor [$1]" "UPS is being shutdown by the master (FSD = \"Forced Shutdown\")"
        ;;

    _lowbatt)
        _output "UPS monitor [$1]" "UPS is on battery and has a low battery (is critical)"
        ;;

    _nocomm)
        _output "UPS monitor [$1]" "A UPS is unavailable (can't be contacted for monitoring)"
        ;;

    _onbatt)
        _output "UPS monitor [$1]" "UPS is on battery"
        ;;

    _online)
        _output "UPS monitor [$1]" "UPS is back online"
        ;;

    _replbatt)
        _output "UPS monitor [$1]" "The UPS battery is bad and needs to be replaced"
        ;;

    _shutdown)
        _output "UPS monitor [$1]" "The system is being shutdown"
        ;;

    *)
        $LOGGER -t "$0" "Unrecognized command: $1"
        ;;
esac
